Bug 632750 - RFE: support for 802.1Qbg pre-associate request
Summary: RFE: support for 802.1Qbg pre-associate request
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.1
Hardware: All
OS: All
high
high
Target Milestone: beta
: 6.1
Assignee: Daniel Veillard
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 655920 538808 580566
TreeView+ depends on / blocked
 
Reported: 2010-09-10 21:01 UTC by IBM Bug Proxy
Modified: 2011-05-19 13:21 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:21:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 67161 None None None Never
Red Hat Product Errata RHBA-2011:0596 normal SHIPPED_LIVE libvirt bug fix and enhancement update 2011-05-18 17:56:36 UTC

Description IBM Bug Proxy 2010-09-10 21:01:29 UTC
1. Feature Overview:
Feature Id: [67161]
a. Name of Feature: [6.1 FEAT] libvirt support for 802.1Qbg pre-associate request
b. Feature Description
The VSI protocol specification for 802.1Qbg defines a PRE-ASSOCIATE request tonotify a bridge to
prepare for association (via lldpad in the case of RHEL 6).  libvirt does currently not support this.


2. Feature Details:
Sponsor: LTC
Architectures:
  x86, x86_64, 

Arch Specificity: ---
Affects Kernel Modules: Field does not exist
Delivery Mechanism: Backport
Category: other
Request Type: Package - Version Update
d. Upstream Acceptance: Field does not exist
Sponsor Priority P3
f. Severity: high
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target:
---

3. Business Case
Without support for the PRE-ASSOCIATE request the 802.1Qbg implementation will not be standard
conform and therefore not be able to work with standard conforming  switches.

4. Primary contact at Red Hat:
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie A. Glass, sglass@us.ibm.com

Technical contact(s):
Gerhard Stenzel, gerhard.stenzel@de.ibm.com

Comment 2 IBM Bug Proxy 2010-10-04 16:28:17 UTC
------- Comment From rsisk@us.ibm.com 2010-10-04 11:14 EDT-------
Code Upstream Status: Not Started

Comment 3 Daniel Veillard 2010-10-20 15:55:59 UTC
Patches sent and applied upstream before the end of the year should be able to make it to 6.1,

Daniel

Comment 4 Chris Wright 2010-10-20 22:10:26 UTC
(In reply to comment #0)
> Without support for the PRE-ASSOCIATE request the 802.1Qbg implementation
> will not be standard conform and therefore not be able to work with standard
> conforming switches.

I don't think that's correct.  PRE-ASSOCIATE is optional AFAIK.  The current implementation will send only an ASSOCIATE request, so adding PRE-ASSOCIATE is more like a useful optimization than being standards compliant.

Comment 5 IBM Bug Proxy 2010-11-22 16:42:10 UTC
------- Comment From gerhard.stenzel@de.ibm.com 2010-11-22 11:36 EDT-------
Patch has been submitted to libvir mailing list:
https://www.redhat.com/archives/libvir-list/2010-November/msg00857.html

Comment 6 Dave Allan 2010-11-23 03:59:36 UTC
I'm setting cond nak patch simply to reflect that the patch has not yet been accepted upstream.

Comment 7 Stefan Berger 2010-11-30 20:54:32 UTC
The patch has been pushed into the libvirt repository today:

http://libvirt.org/git/?p=libvirt.git;a=commitdiff;h=c2b38277b3a362ee0d75e0946478ebce801496f4


Regards,
   Stefan

Comment 8 Dave Allan 2010-11-30 22:55:10 UTC
Thanks Stefan; cond nak removed.

Comment 9 John Jarvis 2010-12-01 03:12:50 UTC
IBM is signed up to test and provide feedback, setting OtherQA.

Comment 11 John Jarvis 2011-01-14 02:58:44 UTC
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.

Comment 13 Cui Chun 2011-02-11 05:46:21 UTC
Hi John Jarvis,

Would you please check if feedback is supplied according to comment 9?


Thanks,
Chun Cui

Comment 14 John Jarvis 2011-02-22 02:43:30 UTC
No, 6.1 Alpha hasn't even gone out to partners yet.

Comment 15 Cui Chun 2011-02-22 03:20:08 UTC
Thank John for your feedback.

Please let me know or update in this bug after partners check.

Comment 16 Stefan Berger 2011-02-22 03:43:44 UTC
We likely have a dependency on a recently found libnl bug that needs fixing for
802.1Qb{g|h} to properly work.

https://bugzilla.redhat.com/show_bug.cgi?id=677725

Comment 17 IBM Bug Proxy 2011-02-22 13:51:00 UTC
------- Comment From gerhard.stenzel@de.ibm.com 2011-02-22 08:44 EDT-------
I verified that the patch is contained in libvirt-0.8.7-5.el6.src.rpm. So from this perspective, this bugzilla can be closed

Comment 18 Cui Chun 2011-02-23 07:44:53 UTC
Thanks your feedback.

Changed status to "VERIFIED" according to comment 17.

Comment 21 errata-xmlrpc 2011-05-19 13:21:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0596.html


Note You need to log in before you can comment on or make changes to this bug.